/*

    SGLR - the Scannerless Generalized LR parser.
    Copyright (C) 2000  Stichting Mathematisch Centrum, Amsterdam, The Netherlands. 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

*/
/*
 $Id: dump-priorities.c,v 1.6 2000/03/20 21:29:27 mdejonge Exp $
 */

#include "dump-skel.h"

void DumpOnePriority(FILE *out, parse_table *pt, int l)
{
  ATermList pr;

  if((pr = SG_LookupPriority(pt, SG_SETLABEL(l))))
    ATfprintf(out,"%d\t%t\n", l, pr);
}

void DumpAllPriorities(FILE *out, parse_table *pt)
{
  int l;

  for(l=SG_PROD_START; l < (SG_PROD_START + pt->numprods); l++)
    DumpOnePriority(out, pt, l);
}

void DoDump(parse_table *pt, int requested)
{
  if(requested >= 0)
    DumpOnePriority(stdout, pt, requested);
  else
    DumpAllPriorities(stdout, pt);
}
